/* <reset.scss> */
/*
    http://meyerweb.com/eric/tools/css/reset/
    v2.0 | 20110126
    License: none (public domain)
*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* </reset.scss> */
.generic-table-control-panel {
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  display: block;
  margin: -0.5rem;
}

.generic-table-control-panel > * {
  margin: 0.5rem;
  float: left;
  display: block;
}

.generic-table-control-panel button {
  display: block;
  background-color: #334966;
  color: #e4effc;
  padding: 0 1rem;
  border: none;
  font-size: 1rem;
  font-weight: 400;
  cursor: pointer;
  border-radius: 0.3rem;
  white-space: nowrap;
  height: 3rem;
  line-height: 3rem;
}

.generic-table-control-panel button > i, .generic-table-control-panel button span {
  display: inline-block;
}

.generic-table-control-panel button > span {
  margin-left: 1rem;
}

.generic-table-control-panel button:focus {
  outline: none;
}

.generic-table-control-panel button:disabled {
  background-color: #9b9ba0;
  cursor: default;
}

.generic-table-control-panel button:hover:not(:disabled), .generic-table-control-panel button:focus:not(:disabled) {
  background-color: #3b567a;
  color: white;
}

.generic-table {
  background: white;
  border-radius: 0.3rem;
  border-collapse: collapse;
  -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
          box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  -webkit-animation: float 5s infinite;
          animation: float 5s infinite;
  width: 100%;
}

.generic-table th {
  color: #D5DDE5;
  background: #233245;
  border-bottom: 0.2rem solid #9ea7af;
  border-right: 1px solid #343a45;
  font-size: 1rem;
  font-weight: 400;
  padding: 1rem;
  text-align: left;
  vertical-align: middle;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.generic-table th:first-child {
  border-top-left-radius: 0.3rem;
}

.generic-table th:last-child {
  border-top-right-radius: 0.3rem;
  border-right: none;
}

.generic-table th.text-left {
  text-align: left;
}

.generic-table th.text-center {
  text-align: center;
}

.generic-table th.text-right {
  text-align: right;
}

.generic-table tr {
  border-top: 1px solid #C1C3D1;
  border-bottom: 1px solid #C1C3D1;
  color: #666B85;
  font-weight: normal;
}

.generic-table tr:first-child {
  border-top: none;
}

.generic-table tr:last-child {
  border-bottom: none;
}

.generic-table tr:last-child td:first-child {
  border-bottom-left-radius: 0.3rem;
}

.generic-table tr:last-child td:last-child {
  border-bottom-right-radius: 0.3rem;
}

.generic-table tr > td {
  background: #FFFFFF;
  padding: 0.4rem 1rem;
  text-align: left;
  vertical-align: middle;
  font-size: 1rem;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.generic-table tr > td:not(:last-child) {
  border-right: 1px solid #C1C3D1;
}

.generic-table.interactive tr:hover > td {
  background: #35475e;
  color: #FFFFFF;
  border-top: 1px solid #22262e;
}

.generic-pop-over {
  display: block;
  width: 100%;
  border-radius: 0.3rem;
  background-color: #e0e5eb;
  padding: 0.5rem 1rem;
  font-style: italic;
}

.generic-labeled-text-input > .label {
  display: block;
  width: 100%;
  font-weight: bold;
  color: #677180;
}

.generic-labeled-text-input > input[type='text'] {
  display: block;
  width: 100%;
  padding: 0.5rem;
  border: none;
  border-bottom: 0.13rem solid #a8aeb6;
  outline: none;
  color: #565d69;
  -webkit-transition: border-bottom 0.3s ease, color 0.3s ease;
  transition: border-bottom 0.3s ease, color 0.3s ease;
  background: transparent;
}

.generic-labeled-text-input > input[type='text']::-webkit-input-placeholder {
  color: #a8aeb6;
  font-style: italic;
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
}

.generic-labeled-text-input > input[type='text']:-ms-input-placeholder {
  color: #a8aeb6;
  font-style: italic;
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
}

.generic-labeled-text-input > input[type='text']::-ms-input-placeholder {
  color: #a8aeb6;
  font-style: italic;
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
}

.generic-labeled-text-input > input[type='text']::placeholder {
  color: #a8aeb6;
  font-style: italic;
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
}

.generic-labeled-text-input > input[type='text']:focus {
  border-bottom: 0.13rem solid #233245;
  color: #343a45;
}

.generic-labeled-text-input > input[type='text']:focus::-webkit-input-placeholder {
  color: #8a95a1;
}

.generic-labeled-text-input > input[type='text']:focus:-ms-input-placeholder {
  color: #8a95a1;
}

.generic-labeled-text-input > input[type='text']:focus::-ms-input-placeholder {
  color: #8a95a1;
}

.generic-labeled-text-input > input[type='text']:focus::placeholder {
  color: #8a95a1;
}

.generic-input-button {
  padding: 0 1rem;
  height: 2.5rem;
  line-height: 2.5rem;
  border: none;
  text-align: center;
  background-color: #36567e;
  color: white;
  cursor: pointer;
  outline: none;
  border-radius: 0.3rem;
  -webkit-transition: background-color 0.2s ease, color 0.2s ease;
  transition: background-color 0.2s ease, color 0.2s ease;
}

.generic-input-button:disabled {
  cursor: default;
  background-color: #a9afb8;
}

.generic-input-button:focus:not(:disabled), .generic-input-button:hover:not(:disabled) {
  background-color: #4970a1;
}

.generic-labeled-select > .label {
  display: block;
  width: 100%;
  font-weight: bold;
  color: #677180;
}

.generic-labeled-select > .select-container {
  border-bottom: 0.13rem solid #a8aeb6;
  -webkit-transition: border-bottom 0.3s ease, color 0.3s ease;
  transition: border-bottom 0.3s ease, color 0.3s ease;
  position: relative;
}

.generic-labeled-select > .select-container > select {
  border: none;
  outline: none;
  color: #565d69;
  background: transparent;
  width: 100%;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  padding: 0.5rem;
}

.generic-labeled-select > .select-container > select:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #000;
}

.generic-labeled-select > .select-container::after {
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
  pointer-events: none;
  position: absolute;
  top: 0;
  right: 0;
  padding: 0.5rem;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f078";
  /* down arrow */
  color: #a8aeb6;
}

.generic-labeled-select > .select-container.focus {
  border-bottom: 0.13rem solid #233245;
  color: #343a45;
}

.generic-labeled-select > .select-container.focus::after {
  color: #343a45;
}

.generic-labeled-textarea > .label {
  display: block;
  width: 100%;
  font-weight: bold;
  color: #677180;
}

.generic-labeled-textarea > textarea {
  display: block;
  width: 100%;
  padding: 0.5rem;
  border: none;
  border-bottom: 0.13rem solid #a8aeb6;
  outline: none;
  color: #565d69;
  -webkit-transition: border 0.3s ease, color 0.3s ease;
  transition: border 0.3s ease, color 0.3s ease;
  background: rgba(0, 0, 0, 0.02);
}

.generic-labeled-textarea > textarea:focus {
  border-bottom: 0.13rem solid #233245;
  color: #343a45;
}

.generic-labeled-select-text-input {
  display: -ms-grid;
  display: grid;
      grid-template-areas: "label" "select" "text";
  -ms-grid-columns: 1fr;
      grid-template-columns: 1fr;
  -ms-grid-rows: auto auto auto;
      grid-template-rows: auto auto auto;
  place-items: stretch;
  place-content: stretch;
  -webkit-column-gap: 1rem;
          column-gap: 1rem;
  row-gap: 0.5rem;
}

@media only screen and (min-width: 576px) {
  .generic-labeled-select-text-input {
        grid-template-areas: "label label" "select text";
    -ms-grid-columns: 1fr 1fr;
        grid-template-columns: 1fr 1fr;
    -ms-grid-rows: auto auto;
        grid-template-rows: auto auto;
    row-gap: 0;
  }
}

.generic-labeled-select-text-input > .label {
  -ms-grid-row: 1;
  -ms-grid-column: 1;
  grid-area: label;
  font-weight: bold;
  color: #677180;
}

.generic-labeled-select-text-input > .select-container {
  border-bottom: 0.13rem solid #a8aeb6;
  -webkit-transition: border-bottom 0.3s ease, color 0.3s ease;
  transition: border-bottom 0.3s ease, color 0.3s ease;
  position: relative;
}

.generic-labeled-select-text-input > .select-container > select {
  border: none;
  outline: none;
  color: #565d69;
  background: transparent;
  width: 100%;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  padding: 0.5rem;
}

.generic-labeled-select-text-input > .select-container > select:-moz-focusring {
  color: transparent;
  text-shadow: 0 0 0 #000;
}

.generic-labeled-select-text-input > .select-container::after {
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
  pointer-events: none;
  position: absolute;
  top: 0;
  right: 0;
  padding: 0.5rem;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f078";
  /* down arrow */
  color: #a8aeb6;
}

.generic-labeled-select-text-input > .select-container.focus {
  border-bottom: 0.13rem solid #233245;
  color: #343a45;
}

.generic-labeled-select-text-input > .select-container.focus::after {
  color: #343a45;
}

.generic-labeled-select-text-input > input[type='text'] {
  -ms-grid-row: 3;
  -ms-grid-column: 1;
  grid-area: text;
  padding: 0.5rem;
  border: none;
  border-bottom: 0.13rem solid #a8aeb6;
  outline: none;
  color: #565d69;
  -webkit-transition: border-bottom 0.3s ease, color 0.3s ease;
  transition: border-bottom 0.3s ease, color 0.3s ease;
  background: transparent;
}

.generic-labeled-select-text-input > input[type='text']::-webkit-input-placeholder {
  color: #a8aeb6;
  font-style: italic;
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
}

.generic-labeled-select-text-input > input[type='text']:-ms-input-placeholder {
  color: #a8aeb6;
  font-style: italic;
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
}

.generic-labeled-select-text-input > input[type='text']::-ms-input-placeholder {
  color: #a8aeb6;
  font-style: italic;
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
}

.generic-labeled-select-text-input > input[type='text']::placeholder {
  color: #a8aeb6;
  font-style: italic;
  -webkit-transition: color 0.3s ease;
  transition: color 0.3s ease;
}

.generic-labeled-select-text-input > input[type='text']:focus {
  border-bottom: 0.13rem solid #233245;
  color: #343a45;
}

.generic-labeled-select-text-input > input[type='text']:focus::-webkit-input-placeholder {
  color: #8a95a1;
}

.generic-labeled-select-text-input > input[type='text']:focus:-ms-input-placeholder {
  color: #8a95a1;
}

.generic-labeled-select-text-input > input[type='text']:focus::-ms-input-placeholder {
  color: #8a95a1;
}

.generic-labeled-select-text-input > input[type='text']:focus::placeholder {
  color: #8a95a1;
}

* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Montserrat', sans-serif;
  color: #233245;
  background-color: #ffffff;
  overflow: hidden;
}

.wrapper {
  padding: 1rem;
  text-align: center;
  overflow: hidden;
  width: 100vw;
  height: 100vh;
  display: -ms-grid;
  display: grid;
  place-content: center;
  place-items: center;
  row-gap: 2rem;
}

@media only screen and (min-width: 768px) {
  .wrapper {
    row-gap: 4rem;
  }
}

.wrapper h2 {
  font-size: 2rem;
}

@media only screen and (min-width: 768px) {
  .wrapper h2 {
    font-size: 4rem;
  }
}

.wrapper .error {
  color: #e00c0c;
  font-style: italic;
}

.wrapper form {
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr 3rem;
      grid-template-columns: 1fr 3rem;
  -ms-grid-rows: 3rem;
      grid-template-rows: 3rem;
  gap: 0.5rem;
  place-items: stretch;
}

.wrapper form > input[type="password"] {
  display: inline-block;
  line-height: 3rem;
  padding: 0.3rem;
  border: none;
  border-bottom: 2px solid #dfdfdf;
  background-color: transparent;
  color: #233245;
  text-align: center;
  font-size: 1.5rem;
  width: 100%;
}

.wrapper form > input[type="password"]:focus {
  border-color: #233245;
  outline: none;
}

.wrapper form > input[type="password"]::-webkit-input-placeholder {
  font-style: italic;
  color: rgba(35, 50, 69, 0.15);
}

.wrapper form > input[type="password"]:-ms-input-placeholder {
  font-style: italic;
  color: rgba(35, 50, 69, 0.15);
}

.wrapper form > input[type="password"]::-ms-input-placeholder {
  font-style: italic;
  color: rgba(35, 50, 69, 0.15);
}

.wrapper form > input[type="password"]::placeholder {
  font-style: italic;
  color: rgba(35, 50, 69, 0.15);
}

.wrapper form > button {
  display: inline-block;
  border: none;
  border-radius: 0.3rem;
  background-color: #233245;
  color: #ffffff;
  font-size: 1.5rem;
  cursor: pointer;
  -webkit-transition: -webkit-transform 0.2s cubic-bezier(0.37, 0, 0.63, 1);
  transition: -webkit-transform 0.2s cubic-bezier(0.37, 0, 0.63, 1);
  transition: transform 0.2s cubic-bezier(0.37, 0, 0.63, 1);
  transition: transform 0.2s cubic-bezier(0.37, 0, 0.63, 1), -webkit-transform 0.2s cubic-bezier(0.37, 0, 0.63, 1);
}

.wrapper form > button:focus, .wrapper form > button:hover {
  outline: none;
  -webkit-transform: rotateZ(-90deg);
          transform: rotateZ(-90deg);
}
